9.04 fails to boot on HP DV2-1030US laptop

Bug #366678 reported by Tom on 2009-04-25
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

I have an HP DV2-1030US laptop (great little machine for a good price) with Ubuntu 8.10 running on it; 8.10 works almost completely, and I can boot the 8.10 distribution both from CD-ROM and USB stick (via unetbootin).

Unfortunately, Ubuntu 9.04 won't boot either from CD-ROM or USB. After booting from the Desktop Install CD and selecting "Default", it prints a couple of messages and goes into graphical mode with the Ubuntu logo and the progress indicator. It then sits there for a while (the disk access light blinks occasionally) and eventually returns to a BusyBox prompt.

Again, this is before any installation; it shouldn't need to access the harddisk at all, since I'm booting from USB. And the same laptop that fails to boot under 9.04 boots and installs fine under 8.10.

The behavior has occurred consistently in 9.04 alpha, 9.04 beta, 9.04 rc, and 9.04 release.

=== BOOT MESSAGES ===
Loading /ubnkern....................
Loading /ubninit.................... ... ......ready.
[ 0.548002] MP-BIOS bug: 8254 timer not connected to IO-APIC
[ 2.340013] ata1: softreset failed (device not ready)
modprobe: FATAL: Could not load /lib/modules/2.6.28-11-generic/modules.dep: No such file or directory

modprobe: FATAL: Could not load /lib/modules/2.6.28-11-generic/modules.dep: No such file or directory

Loading, please wait...

BusyBox v1.10.2 (Ubuntu 1...)
...

(initramfs)
=== END OF BOOT MESSAGES ===

Jarred (jarred-gibbs) wrote :

I have exactly the same problem. I downloaded 9.04 Release and cannot boot from either a CD or USB. I've tried the 32bit iso, 64bit iso and also the minimum install iso (bunt onto a CD). I did seem to get more progress form the 64bit minimum install CD. It went through the the install process fine, but went to boot from the hdd after install I get the same error message above:

modprobe:FATAL: Could not load /lib/modules/2.6.28-11-generic/modules.dep: No Such file or directory

I have verified the CD(s) by booting on a laptop (Dell Latitude D630) and they work fine. This has to be a hardware related issue. NB: WinXP works fine on my hardware, so I am sure nothing is faulty.

There seem to be many other people who have had this problem with the beta releases and USB, but very few with this problem on the release version and a hdd.

I'm running:
Gigabyte GA-MA770-S3P with 4gig of RAM (2 sticks) an AMD X2 5000+ processor a 750gb hdd as the master on SATA channel 1.

Anyone have any ideas on a fix/workaround?

Jarred (jarred-gibbs) wrote :

I managed to solve my problem. It turned out to be to issues;

1:) I did not have my USB mouse and Keyboard enabled in BIOS (thus only functional once booted). As soon as I either enabled them in BIOS or unplugged them this error message was resolved. I think Ubuntu was making the mistake of assuming they were USB storage?

2:) Secondly I could not boot to a splash screen or anything remotley graphical. I had a second monitor (Projector) plugged in to the second (DVI) port but not turned on. It seems the installer could not rationalise between my LCD monitor and projector. As soon as I unplugged it no problems.

It all seems to simple looking back on it, but there you go.

Thanks; I don't think that's the problem in my case, though. My machine is
a laptop--it has virtually no options, its keyboard and mouse are enabled,
and there is no external screen.

Dusty Reichwein (jreichwe) wrote :

I also have an HP dv2 1030us and had the same problem booting the install CD. It seems to be a problem recognising the external DVD drive. Here's what I did to get the install CD to boot:

1 ) I changed the kernel boot options by removing "quiet splash" and adding "debug break=mount".

2) Once the busy box prompt appeared, I waited for the CD to stop spinning and unplugged the external CD drive.

3) I then plugged the drive back in, and it was recognized. The devices /dev/sdb, /dev/sr0, and /dev/scd0 were created which weren't there before.

4) Exiting from busy box will allow the cd to finish booting. I haven't had a chance to try installing yet.

goto (gotolaunchpad) wrote :

Hi guys

I've got the DV2in European version (1023ef),
with same config more or less
ATI HD3410, HDMI
2Go Ram
DD 5400tr 250Go
No External DVD

Well, I got it with Vista, but boot on a triple boot Seven/Vista/Ubuntu
Works quite great on 7 (7077x64)
On JJ 9.04 released 04-23 it works with a few tricks/lacks:

To usb boot, make a usb key with the iso & unetbootin
TO load, you've got to check usb order in bios, then use this trick:
and it comes to the ubuntu loading image, UNPLUG then REPLUG the usbkey.
Dont know why this would work, but it did great for a bunch of guys on forums, plus myself
If you dont manage time to unplug/replug, you get directly to the busy box

Then...
The boot sequences (grub / seven bootloader) are to be done this way
If you install 7 first, grub will take over and recognize any OS
if you install 7 last, the bootloader will probably not see the linux partitions. This case, you've got to install grub via live-usb.

Well, finally I got it quite working
First grub asks, then the windows bootlader.

On Seven, pretty much nothing to say. Works alright. Happens to freeze, but rarely.
Only the button to desactivacte the trackpad is not working.

On Ubuntu, it runs smooth,

but I still got a couple of issues:
First two error infos at booting which are bypassed

At grub stage:
- Bad load of APIC
- Error on modprobe (modules.deb)
(bypassed after a few sec)

- On x64, I didnt manage to get the sound working/ No problems with sound on x86 (32bits)

olerp (kuubii) wrote :

ubuntu 9.0.4 has the same bug with hp dv2-1005ax

olerp.com

Tom (tmbdev) wrote :

I should add that I have also managed to install Ubuntu 9.04 by upgrading
from 8.10 (booting from a USB stick with debug=mount also works, but I
didn't use it for the install). It would still be nice if the boot process
were fixed for 9.04; it can't be too hard since it was working in 8.10.

On Mon, May 11, 2009 at 19:43, olerp <email address hidden> wrote:

> ubuntu 9.0.4 has the same bug with hp dv2-1005ax
>
> olerp.com
>
> --
> 9.04 fails to boot on HP DV2-1030US laptop
> https://bugs.launchpad.net/bugs/366678
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Johan (johan-andersson-78) wrote :

Same problem with "HP dv2 1010eo".

I use Ubuntu 9.04 amd64-release.

The same solution works. Remove and insert the USB-drive when the splash-screen appears and everything continues.

(I love you people! The community rules! Ubuntu is finally on my machine!)

Aaron Mayse (eyeless1) wrote :

While that's an interesting workaround, this seems to point to a more fundamental problem with either AMD's chipsets (all of the computers affected by this bug--including both of mine, a home-built desktop running on a 790gx motherboard and a toshiba satellite running on a Turion processor) or how they interact with the Linux kernel.

Of particular interest to me is my desktop, sporting an MSI DKA790GX motherboard and athlon x2 4850e. I get the same error when trying to boot from USB, but not from CD or hard disk (both SATA devices). This leads me to suspect that the computer is looking in the wrong place for the kernel when booting from USB (I presume that the external DVD drive that others are referring to are external USB drives?)

Seems like a good place to start looking.

Aaron Mayse (eyeless1) wrote :

Oh, and interestingly enough I seem to have the same problem with a completely different OS than Ubuntu: booting a Dosbox image from USB fails, but booting the same image burned to a CD succeeds. So this may actually be an AMD problem, or rather the 9.04 release stumbled on a weakness in the AMD chipsets that they happened to miss with the 8.10 release, which others have remarked works fine.

exactt (giesbert) wrote :

hi guys,

have a look at the following bug reports:

1. USB
https://bugs.launchpad.net/bugs/350946

2. ATI Southbridge
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/285392

arloth (mnuahs) wrote :

I had the same problem with my HP dv2z. I got around it by using a much older USB 1.0 external 4x CD-ROM drive. It gave the modprobe error once, but then continued fine with the rest of the boot & install of 9.04.

Inaimathi (leo-zovic) wrote :

Confirm the remove USB key solution.

My system is:
ga-ma785gpm-ud2h motherboard
2x 2gigs of Crucial ram
AMD Phenom 2 dual core (3.1ghz)
a really old Western Digital HDD

It took a couple of tries, but if you select "try Ubuntu before installing", wait for the Ubuntu loading screen to come up, then remove and quickly re-insert the USB stick you're booting from, it'll start up to the Ubuntu desktop.

From there, you can run the graphical installer (which worked fine the first time)

Fabio Marconi (fabiomarconi) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.
Is this bug reproducible with the latest Lucid packages ?
Tanks in advance.

Changed in ubuntu:
status: New → Incomplete
Fabio Marconi (fabiomarconi) wrote :

 Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage .

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://help.ubuntu.com/community/ReportingBugs.

Fabio Marconi (fabiomarconi) wrote :

We'd like to figure out what's causing this bug for you, but we haven't heard back from you in a while. Could you please provide the requested information? Thanks!

tags: added: jaunty
Tom (tmbdev) wrote :

It's a boot failure; I don't know what package it is associated with. It
could be the kernel, the boot loader, some particular driver, or some other
package.

Tom

On Sat, Aug 7, 2010 at 01:07, Fabio Marconi <email address hidden> wrote:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. This bug did not have a package associated with it, which
> is important for ensuring that it gets looked at by the proper
> developers. You can learn more about finding the right package at
> https://wiki.ubuntu.com/Bugs/FindRightPackage .
>
> When reporting bugs in the future please use apport by using 'ubuntu-
> bug' and the name of the package affected. You can learn more about this
> functionality at https://help.ubuntu.com/community/ReportingBugs.
>
> --
> 9.04 fails to boot on HP DV2-1030US laptop
> https://bugs.launchpad.net/bugs/366678
> You received this bug notification because you are a direct subscriber
> of the bug.
>

tags: added: hp-dv2
Fabio Marconi (fabiomarconi) wrote :

Hello Tom

Thanks for forward.

If you still having this problem with Lucid.

Can you try install Lucid from live CD (Usb-creator is actually bugged), at the first screen hit any key, select your language, hit F6,hit esc, delete quiet splah and hit two times enter.
So in this way you launch in textual mode and can see where it stops, errors etc, then report here.
Thanks in advance.
Fabio

Tom (tmbdev) wrote :

The laptop is on a different continent right now... I can't swear to it,
but I think I tried booting 10.4 and I believe it booted without problems.
I can try again in a month.

Tom

On Tue, Aug 17, 2010 at 08:08, Fabio Marconi <email address hidden>wrote:

> Hello Tom
>
> Thanks for forward.
>
> If you still having this problem with Lucid.
>
> Can you try install Lucid from live CD (Usb-creator is actually bugged), at
> the first screen hit any key, select your language, hit F6,hit esc, delete
> quiet splah and hit two times enter.
> So in this way you launch in textual mode and can see where it stops,
> errors etc, then report here.
> Thanks in advance.
> Fabio
>
> --
> 9.04 fails to boot on HP DV2-1030US laptop
> https://bugs.launchpad.net/bugs/366678
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Fabio Marconi (fabiomarconi) wrote :

This bug report is being closed due to your last comment regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in ubuntu:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers